<?php
# Dieses Skript laesst die Punkte verfallen, wenn
# - sie aelter als vier Jahre sind
# -  zwei Jahre lang keine neuen Punkte hinzugekommen sind
$now = time();
$fouryearsold = $now - (3600 * 24 * 365 * 4);
$twoyearsold = $now - (3600 * 24 * 365 * 2);

print "Now: $now\n";
print "FourYearsOld: $fouryearsold\n";
print "TwoYearsOld: $twoyearsold\n";
include('functions.php');

#$query = "SELECT userId FROM users";
#$result = dbQuery($query) or error ("Cannot get users from database: " . dbError());
#$num = dbNumRows($result);
#print "Anzahl der Konten: $num\n";
#$progress = new Progress($num);
#$rownum=0;
#while ($row = dbFetchRow($result, MYSQL_ASSOC)) {
#  $progress->show($rownum);
#  $userId = $row['userId'];
#  $userId = 14129;
  $userId = 5595;
  $konto = new konto($userId);  
  $now = time();
  $year = date('Y', $now);
  $month = date('m', $now);
  # Punkte verfallen immer zum letzten des Vormonats
  # = 1. des jetzigen Monats 00:00:00 Uhr
  $day = 1;
  $timefence = mktime(0,0,0,$month, $day,$year-4);
 
  print "Vier Jahre her: " . date("Y-m-d",$timefence) . "\n";
  print "Punkte verfallen: ";
  $verfall = $konto->calcinvalidatedpoints($timefence);
  print "Verfall (VierJahre): $verfall\n";
  $verfall = $konto->calcinvalidatenext();
  print "Verfall naechster Monat: " .  $verfall[0] . ", Verfall uebernaechster Monat: ".  $verfall[1] . "\n";
  
#  print "Verfallen: $verfall\n";
  $saldo = $konto->getSaldo();
#  print "Saldo: " . ($saldo - $verfall) . "\n";
# $konto->invalidateafterfouryears();
#  $rownum++;
#}
?>
